---
title: "Verify email"
url: "https://docs.signnow.com/docs/user/operations/user-email-verify"
type: "endpoint"
section: "user"
slug: "user/operations/user-email-verify"
method: "PUT"
path: "/user/email/verify"
operation_id: "user-email-verify"
authorization: "basic"
---

# Verify email

`PUT /user/email/verify`

This endpoint allows API users to verify a user's email address using the verification token from the verification email.

To send the verification email to the user's email address, use the [`POST /user/verifyemail`](/docs/user/operations/post-user-verifyemail) request.

## Authorization

basic

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email",
    "verification_token"
  ],
  "properties": {
    "email": {
      "type": "string",
      "format": "email",
      "description": "The user's email address."
    },
    "verification_token": {
      "type": "string",
      "description": "The token included in the verification link sent to the user's email address."
    }
  }
}
```

## Responses

### 200

**Example** (`application/json`)

```json
{
  "email": "verified_email@email.com"
}
```

### 400

* Verification token is incorrect.
* Verification token has expired.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 65629,
      "message": "verification token does not match email address passed in or is invalid"
    }
  ]
}
```

**Example** (`Verification token expired`)

```json
{
  "errors": [
    {
      "code": 65629,
      "message": "Verification token is expired"
    }
  ]
}
```

**Example** (`Verification token is incorrect`)

```json
{
  "errors": [
    {
      "code": 65629,
      "message": "verification token does not match email address passed in or is invalid"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/user/email/verify" \
  -H "Authorization: Basic $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/user/operations/user-email-verify*
